For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
      • POSTList Brands
      • GETGet Brand by ID
      • POSTCreate or Update a Brand
      • POSTSubmit Brand
      • POSTVet Brand
      • POSTAutofill Brand Information
      • POSTValidate Brand Information
LogoLogo
SupportDashboard
API ReferenceBrands

Autofill Brand Information

POST
https://api.pinnacle.sh/brands/autofill
POST
/brands/autofill
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.brands.autofill({
8 additionalInfo: "A developer-friendly, compliant API for SMS, MMS, and RCS, built to scale real conversations.",
9 name: "Pinnacle",
10 options: {
11 forceReload: true,
12 },
13 website: "https://www.pinnacle.sh",
14 });
15}
16main();
1{
2 "address": "500 Folsom St, San Francisco, CA 94105",
3 "contact": {
4 "email": "michael.chen@trypinnacle.app",
5 "name": "Michael Chen",
6 "phone": "+14155551234",
7 "title": "Customer Support Representative"
8 },
9 "dba": "Pinnacle Messaging",
10 "ein": "88-1234567",
11 "email": "founders@trypinnacle.app",
12 "name": "Pinnacle",
13 "sector": "TECHNOLOGY",
14 "type": "PRIVATE_PROFIT",
15 "entityType": "LLC",
16 "website": "https://www.pinnacle.sh"
17}
Automatically populate brand information based on partial input data you provide.
Was this page helpful?
Previous

Validate Brand Information

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.

Either ‘name’ or ‘website’ must be provided.

additional_infostringOptional
Any extra details about the brand to help improve data accuracy.
namestringOptional
Name of the brand.
optionsobjectOptional
websitestringOptionalformat: "url"
Brand's website URL.

Response

Returns enriched brand information retrieved from the autofill service.
addressstring
Primary brand address where this brand is located.
contactobject
Contact information for the primary brand representative.
dbastring or null

“Doing Business As” name - the public name this brand operates under.

descriptionstring
Brief description of what this brand does.
einstring

Employer Identification Number (EIN) assigned by the IRS.

emailstring
Main contact email address for this brand.
namestring
Legal name of the brand as registered.
sectorenum
Industry the Brand operates in.
typeenum
Legal structure of the brand.
Allowed values:
entityTypeenum
Legal entity type of the brand.
Allowed values:
websitestring
Brand website URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error